<%@ Page Language="VB" Explicit="False" MasterPageFile="admin.master" %>

<%@ MasterType VirtualPath="admin.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)


        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.LoadPDadmin(3)

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then


            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * FROM discounts WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    name.Text = pd.ReadData("name")
                    code.Text = pd.ReadData("code")
                    startdate.Text = pd.ReadDataD("startdate")
                    enddate.Text = pd.ReadDataD("enddate")
                    discpct.Text = pd.ReadDataN("discpct")
                    discamt.Text = pd.ReadDataC("discamt")
                    ordermin.Text = pd.ReadDataC("ordermin")
                    form_maxuse.Text = pd.ReadDataN("maxuse")

                    'CheckBoxes
                    If pd.ReadDataN("maxuseen") = 1 Then form_maxuseen.Checked = True

                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

                'Get Current Useage
                pd.OpenDataReader("SELECT COUNT(*) as thecount FROM orders WHERE disccode='" & code.Text & "' AND status<>'Incomplete'")
                If pd.ReadDataItem.Read Then
                    currentusage.Text = pd.ReadData("thecount")
                Else
                    currentusage.Text = 0
                End If
                pd.CloseData()

            Else
                'Default values when adding new record.
                ordermin.Text = pd.showNumC(0)
                form_maxuse.Text = 0
                discpct.Text = 0
                discamt.Text = pd.showNumC(0)
                startdate.Text = pd.showdate(DateTime.Now.ToShortDateString)
                enddate.Text = pd.showdate(DateTime.Now.AddDays(365).ToShortDateString)


            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("discounts")
            Else
                'Update Existing Record
                pd.OpenDataWriter("discounts WHERE id=" & id)
            End If

            'Text Input
            pd.AddFormData("name", name.Text, "Name", "T", 1, 50)
            pd.AddFormData("code", code.Text, "Code", "T", 1, 50)
            pd.AddFormData("startdate", startdate.Text, "Start Date", "D", 1, 50)
            pd.AddFormData("enddate", enddate.Text, "End Date", "D", 1, 50)
            pd.AddFormData("discpct", discpct.Text, "Discount Pct", "N", 0, 0)
            pd.AddFormData("discamt", discamt.Text, "Discount Amt", "C", 0, 0)
            pd.AddFormData("ordermin", ordermin.Text, "Order Minimum", "C", 0, 0)
            pd.AddFormData("maxuse", form_maxuse.Text, "Max. Usage", "N", 0, 0)

            'Check Boxes
            If form_maxuseen.Checked = True Then
                pd.AddData("maxuseen", "1", "N")
            Else
                pd.AddData("maxuseen", "0", "N")
            End If

            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                Dim tempid As Int32
                tempid = pd.SaveData()
                If tempid > 0 Then id = tempid
                pd.formerror = "Record Saved!"
                 
                pd.gotonextpage()
                 
            End If

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM discounts WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            deleterecord = "done"
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If deleterecord = "done" Then%>
    <script type="text/javascript">
        {
            pdshopalert('Discount has been Deleted!', 'editdiscount.aspx');
        }
    </script>
    <%End If%>
    <div class="body_container">
        <div class="content_container">
            <form method="POST" runat="server" id="aspnetForm">
            <input type="hidden" name="id" value="<%=id%>" />
            <div>
                <%
                    pd.createadmintab("Details", "editdiscount.aspx?id=" & id)
                    pd.createadmintab("Usage", "editdiscount-usage.aspx?id=" & id)
                    pd.writeadmintabs()
                %>
            </div>
            <div class="forms">
                <div class="pageheading1">
                    Edit Discount</div>
                <div class="message">
                    <%=pd.getFormError()%></div>
                <% If deleterecord = "yes" Then%>
                <div class="message">
                    Are you sure you want to delete?<br />
                    <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
                    <a href="?id=<%=id%>">NO</a></div>
                <% End If%>
                <div class="formheading">
                    Discount Name</div>
                <div>
                    <asp:TextBox class="formfield1" ID="name" runat="server" />
                </div>
                <div class="formheading">
                    Discount Code</div>
                <div>
                    <asp:TextBox class="formfield1" ID="code" runat="server" />
                </div>
                <div class="pageheading2">
                    Date Range</div>
                <div>
                    <div class="formheading">
                        Effective Dates</div>
                    <div class="formheading">
                        Start:
                        <asp:TextBox class="formfield3" ID="startdate" runat="server" />
                        End:
                        <asp:TextBox class="formfield3" ID="enddate" runat="server" />
                    </div>
                </div>
                <div class="pageheading2">
                    Discount Amount</div>
                <div>
                    <div class="formheading">
                        Percent:
                        <asp:TextBox class="formfieldnumber" ID="discpct" runat="server" />
                        Fixed Amount:
                        <asp:TextBox class="formfieldnumber" ID="discamt" runat="server" />
                    </div>
                </div>
                <div class="pageheading2">
                    Order Requirements</div>
                <div class="formheading">
                    Order Minimum</div>
                <div>
                    <asp:TextBox class="formfieldnumber" ID="ordermin" runat="server" />
                </div>
                <div class="pageheading2">
                    Usage Settings</div>
                <div class="inner_div">
                    <div class="check_div">
                        <asp:CheckBox ID="form_maxuseen" runat="server" />
                        Restrict Usage?</div>
                    <div class="formheading">
                        Max Usage</div>
                    <div>
                        <asp:TextBox class="formfieldnumber" ID="form_maxuse" runat="server" />
                    </div>
                    <% If id <> "" Then%>
                    <div class="formheading">
                        Current Usage</div>
                    <div>
                        <asp:TextBox ReadOnly="true" class="roformfieldnumber" ID="currentusage" runat="server" />
                        <a href="javascript: <%=pd.nextpagefunction%>('editdiscount-usage.aspx?id=<%=id%>')">
                            <img src="img/butt-admin-edit.gif" /></a></div>
                    <%End If%>
                </div>
                <div class="formbutton_div">
                    <input type="submit" class="formbutton" value="Save Changes" /></div>
                <% If pd.adminlevel = 1 And id <> "" Then%>
                <div>
                    <div class="check_div">
                        <input type="checkbox" name="deleterecord" value="yes" />Delete this Discount?</div>
                </div>
                <% End If%>
            </div>
            </form>
        </div>
    </div>
</asp:Content>
