<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, itemid, optcatid, opttype, nexttask, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(3)
        helppage = ""

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        
        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                
                'Open Database, get values
                pd.OpenXmlDataReader("items", "otherxml", "google", id)

                'Text Inputs
                google_product_category.Text = pd.ReadData("google_product_category")
                condition.SelectedIndex = condition.Items.IndexOf(condition.Items.FindByValue(pd.ReadData("condition")))
                brand.Text = pd.ReadData("brand")
                gtin.Text = pd.ReadData("gtin")
                mpn.Text = pd.ReadData("mpn")
                item_group_id.Text = pd.ReadData("item_group_id")
                color.Text = pd.ReadData("color")
                material.Text = pd.ReadData("material")
                pattern.Text = pd.ReadData("pattern")
                size.Text = pd.ReadData("size")
                gender.Text = pd.ReadData("gender")
                age_group.Text = pd.ReadData("age_group")
                online_only.SelectedIndex = online_only.Items.IndexOf(online_only.Items.FindByValue(pd.ReadData("online_only")))

                pd.CloseData()

            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack And IsNumeric(id) = True Then

            'Prepare Database - Set array to Add or Update data
            pd.OpenXmlDataWriter("items", "otherxml", "google", id)

            pd.AddData("google_product_category", google_product_category.Text, "T")
            pd.AddFormData("condition", condition.SelectedItem.Value, "", "T", 0, 0)
            pd.AddFormData("brand", brand.Text, "Brand", "T", 0, 0)
            pd.AddFormData("gtin", gtin.Text, "GTIN", "T", 0, 0)
            pd.AddFormData("mpn", mpn.Text, "MPN", "T", 0, 0)
            pd.AddFormData("item_group_id", item_group_id.Text, "item_group_id", "T", 0, 0)
            pd.AddFormData("color", color.Text, "color", "T", 0, 0)
            pd.AddFormData("material", material.Text, "material", "T", 0, 0)
            pd.AddFormData("pattern", pattern.Text, "pattern", "T", 0, 0)
            pd.AddFormData("size", size.Text, "size", "T", 0, 0)
            pd.AddFormData("gender", gender.Text, "gender", "T", 0, 0)
            pd.AddFormData("age_group", age_group.Text, "age_group", "T", 0, 0)
            pd.AddFormData("online_only", online_only.SelectedItem.Value, "", "T", 0, 0)
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Record Saved!"
                closewin = "Y"
            End If
            
            'Demo Mode
            If pd.demomode = "Yes" Then
                closewin = "Y"
            End If
            
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <input type="hidden" name="id" value="<%=id%>" />
        <div class="pageheading2">
            Google Feed Attributes</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <div class="formheading">
            Google Product Category</div>
        <div>
            <asp:TextBox class="formfield4" ID="google_product_category" runat="server" /></div>
        <div class="formheading">
            Condition</div>
        <div>
            <asp:DropDownList ID="condition" runat="server">
                <asp:ListItem Value="new" Text="New" />
                <asp:ListItem Value="used" Text="Used" />
                <asp:ListItem Value="refurbished" Text="Refurbished" />
            </asp:DropDownList>
        </div>
        <div class="formheading">
            Brand</div>
        <div>
            <asp:TextBox class="formfield1" ID="brand" runat="server" /></div>
        <div class="formheading">
            Global Trade Item Number (GTIN)</div>
        <div>
            <asp:TextBox class="formfield1" ID="gtin" runat="server" /></div>
        <div class="formheading">
            Manufacturer Part Number (MPN)</div>
        <div>
            <asp:TextBox class="formfield1" ID="mpn" runat="server" /></div>
        <div class="formheading">
            Online Only?</div>
        <div>
            <asp:DropDownList ID="online_only" runat="server">
                <asp:ListItem Value="n" Text="No" />
                <asp:ListItem Value="y" Text="Yes" />
            </asp:DropDownList>
        </div>
        <div class="pageheading2">
            Product Variants</div>
        <div>
            <div class="formheading">
                Item Group Id
            </div>
            <div>
                <asp:TextBox class="formfield1" ID="item_group_id" runat="server" /></div>
            <div class="formheading">
                Color
            </div>
            <div>
                <asp:TextBox class="formfield1" ID="color" runat="server" /></div>
            <div class="formheading">
                Material
            </div>
            <div>
                <asp:TextBox class="formfield1" ID="material" runat="server" /></div>
            <div class="formheading">
                Pattern
            </div>
            <div>
                <asp:TextBox class="formfield1" ID="pattern" runat="server" /></div>
            <div class="formheading">
                Size
            </div>
            <div>
                <asp:TextBox class="formfield1" ID="size" runat="server" /></div>
            <div class="formheading">
                Gender
            </div>
            <div>
                <asp:TextBox class="formfield1" ID="gender" runat="server" /></div>
            <div class="formheading">
                Age Group
            </div>
            <div>
                <asp:TextBox class="formfield1" ID="age_group" runat="server" /></div>
        </div>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        </form>
    </div>
</asp:Content>
