<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, itemid, orderid, customerid, digital, nexttask, closewin, deleterecord, confirmdelete, helppage As String
    Public giftid As Int32

    Public pd As Object

    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.browserNoCache()
        pd.loginredirect = "Off"
        pd.LoadPDadmin(3)
        helppage = ""

        'Get Record IDs
        id = pd.getrequest("id")
        itemid = pd.getrequest("itemid")
        orderid = pd.getrequest("orderid")
        customerid = pd.getrequest("customerid")
        digital = pd.getrequest("digital")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                
                'Open Database, get values
                pd.OpenDataReader("SELECT * From orderdetail WHERE id=" & id)
                If pd.ReadDataItem.Read Then

                    'Text Inputs
                    optiondesc.Value = pd.ReadData("optiondesc")
                    optiontext.Value = pd.ReadData("optiontext")
                    itemid = pd.ReadDataN("itemno")
                    qty.Text = pd.ReadDataN("qty")
                    price.Text = pd.ReadDataC("price")
                    digital = pd.ReadData("digital")
                    taxable.SelectedIndex = taxable.Items.IndexOf(taxable.Items.FindByValue(pd.ReadData("taxable")))

                    If digital = "ON" Then
                        downloads.Text = pd.ReadDataN("downloads")
                        downdate.Text = pd.ReadData("downdate")
                        downtime.Text = pd.ReadData("downtime")
                        ip.Text = pd.ReadData("ip")
                        downip.Text = pd.ReadData("downip")
                        If IsDate(pd.ReadData("expires")) Then
                            expires.Text = pd.ReadDataD("expires")
                        End If
                        digkey.Text = pd.ReadData("digkey")
                        downloaded.Text = pd.ReadDataN("downloaded")
                    ElseIf digital = "GC" Then
                        giftid = pd.ReadDataN("giftid")
                    End If
                    
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()

                If giftid > 0 Then
                    'Get Gift Certificate Details
                    pd.OpenDataReader("SELECT * FROM giftcert WHERE id=" & giftid)
                    If pd.ReadDataItem.Read Then
                        giftcode.Text = pd.ReadData("code")
                    Else
                        pd.formerror = pd.formerror & "Gift Certificate Not Found!"
                    End If
                    pd.CloseData()
                    itemname.Text = pd.getsystext("sys110")
                End If

            Else
                'Display Item Name, etc
                If IsNumeric(itemid) And itemid <> "0" Then
                    pd.OpenDataReader("SELECT * From items WHERE id=" & itemid)
                    If pd.ReadDataItem.Read Then
                        qty.Text = pd.ReadDataN("addqty")
                        price.Text = pd.ReadDataC("price")
                    Else
                        qty.Text = "0"
                        price.Text = pd.showNumC(0)
                    End If
                    pd.CloseData()
                Else
                    qty.Text = "0"
                    price.Text = pd.showNumC(0)
                End If

            End If

        End If


        'Update/Add Record if form is posted
        If Page.IsPostBack Then


            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("orderdetail")
                pd.AddData("itemno", itemid, "N")
                pd.AddData("orderid", orderid, "N")
                pd.AddData("customerid", customerid, "N")
                pd.AddData("subof", 0, "N")
                pd.AddData("digital", digital, "T")
            Else
                'Update Existing Record
                pd.OpenDataWriter("orderdetail WHERE id=" & id)
            End If

            'Text Input
            pd.AddFormData("optiondesc", optiondesc.Value, "Notes", "T", 0, 255)
            pd.AddFormData("optiontext", optiontext.Value, "Option Text", "T", 0, 255)
            pd.AddFormData("price", price.Text, "Price", "C", 0, 0)
            pd.AddFormData("qty", qty.Text, "Qty", "N", 0, 0)

            If digital = "ON" Then
                pd.AddFormData("downloads", downloads.Text, "Downloads", "N", 0, 0)
                pd.AddFormData("digkey", digkey.Text, "Download Key", "T", 0, 50)
                If expires.Text <> "" Then
                    pd.AddFormData("expires", expires.Text, "Expiration", "D", 0, 0)
                End If
            End If

            'Drop Downs
            pd.AddFormData("taxable", taxable.SelectedItem.Value, "", "T", 0, 0)

            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Record Saved!"
                closewin = "Y"
            End If
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM orderdetail WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            closewin = "Y"
        End If


        'Display Item Name, etc
        If IsNumeric(itemid) And itemid <> "0" Then
            pd.OpenDataReader("SELECT * From items WHERE id=" & itemid)
            If pd.ReadDataItem.Read Then
                itemname.Text = pd.ReadData("name")
                itemno.Text = pd.ReadData("itemno")
                digital = pd.ReadData("digital")
            Else

            End If
            pd.CloseData()
        End If


    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.opener.resubmit();
        window.close();
        
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" action="popup_editorderitem.aspx" runat="server" id="aspnetForm">
        <input type="hidden" name="id" value="<%=id%>" />
        <input type="hidden" name="task" value="<%=nexttask%>">
        <input type="hidden" name="orderid" value="<%=orderid%>">
        <input type="hidden" name="customerid" value="<%=customerid%>">
        <input type="hidden" name="itemid" value="<%=itemid%>">
        <input type="hidden" name="digital" value="<%=digital%>">
        <div class="pageheading2">
            Order Item</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <% If deleterecord = "yes" Then%>
        <div class="message">
            Are you sure you want to delete?<br />
            <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
            <a href="?id=<%=id%>">NO</a></div>
        <% End If%>
        <div class="formheading">
            Item No</div>
        <div>
            <asp:TextBox ReadOnly="true" class="roformfield2" ID="itemno" runat="server" /></div>
        <div class="formheading">
            Item Name</div>
        <div>
            <asp:TextBox ReadOnly="true" class="roformfield1" ID="itemname" runat="server" /></div>
        <% If digital = "GC" Then%>
        <div>
            <asp:TextBox ReadOnly="true" class="roformfield2" ID="giftcode" runat="server" /></div>
        <%End If%>
        <div class="formheading">
            Notes (Description)</div>
        <div>
            <textarea class="popupformtextarea" rows="3" id="optiondesc" cols="30"  
                runat="server" /></div>
        <div class="formheading">
            Option Text</div>
        <div>
            <textarea class="popupformtextarea" rows="3" id="optiontext" cols="30"  
                runat="server" /></div>
        <div class="formheading">
            Qty</div>
        <div>
            <asp:TextBox class="formfieldnumber" ID="qty" runat="server" /></div>
        <div class="formheading">
            Price Ea</div>
        <div>
            <asp:TextBox class="formfieldnumber" ID="price" runat="server" /></div>
        <div class="formheading">
            Taxable</div>
        <div>
            <asp:DropDownList ID="taxable" runat="server">
                <asp:ListItem Value="Yes" Text="Yes" />
                <asp:ListItem Value="No" Text="No" />
            </asp:DropDownList>
        </div>
        <% If digital = "ON" Then%>
        <div>
            <div class="formheading">
                Downloads</div>
            <div>
                <asp:TextBox class="formfieldnumber" ID="downloads" runat="server" /></div>
            <div class="formheading">
                Downloaded</div>
            <div>
                <asp:TextBox ReadOnly="true" class="roformfieldnumber" ID="downloaded" runat="server" /><asp:TextBox
                    ReadOnly="true" class="roformfield3" ID="downdate" runat="server" /><asp:TextBox
                        ReadOnly="true" class="roformfield3" ID="downtime" runat="server" /></div>
            <div class="formheading">
                Order/Download IP</div>
            <div>
                <asp:TextBox ReadOnly="true" class="roformfield3" ID="ip" runat="server" /><asp:TextBox
                    ReadOnly="true" class="roformfield3" ID="downip" runat="server" /></div>
            <div class="formheading">
                Expires</div>
            <div>
                <asp:TextBox class="formfield1" ID="expires" runat="server" /></div>
            <div class="formheading">
                Unique Key</div>
            <div>
                <asp:TextBox class="formfield1" ID="digkey" runat="server" /></div>
        </div>
        <% End If%>
        <% If pd.adminlevel = 1 And id <> "" Then%>
        <div class="check_div">
            <input type="checkbox" name="deleterecord" value="yes">Delete?
        </div>
        <% End If%>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        </form>
    </div>
</asp:Content>
