<%@ Page Language="VB" Explicit="False" MasterPageFile="admin_popup.master" %>

<%@ MasterType VirtualPath="admin_popup.master" %>
<script runat="server">

    '************************************************************
    '*         TERMS & CONDITIONS / COPYRIGHT NOTICE            *
    '************************************************************
    '*   By Downloading or using this software, you agree to    *
    '*   the terms and conditions as stated in the Software     *
    '*   License Agreement.  An updated copy of this agreement  *
    '*   can be seen at http://www.pagedowntech.com/terms.      *
    '*                                                          *
    '*   NOTICE: We do not recommend changing the code below    *
    '*   as it may interfere with future updates/upgrades.      *
    '*                                                          *
    '*        PageDown Technology, LLC., Copyright 2013.        *
    '*             pagedowntech.com / pdshop.com                *
    '*                                                          *
    '*  (this copyright notice must not be altered or removed)  *
    '************************************************************

    
    Public Shadows id, closewin, deleterecord, confirmdelete, helppage As String

    Public pd As Object
    Sub Page_Error(ByVal sender As Object, ByVal e As System.EventArgs)

        Master.pd.PDShopError()
        
    End Sub
    
    Sub Page_Load(ByVal Sender As Object, ByVal E As EventArgs)

        'Load PDAdmin Functions, Check & Set Admin Access Level
        pd = Master.pd
        pd.loginredirect = "Off"
        pd.browserNoCache()
        pd.LoadPDadmin(1)
        helppage = ""

        'Get Record IDs
        id = pd.getrequest("id")

        'Check IDs
        If id <> "" Then
            If IsNumeric(id) = False Then
                id = ""
            End If
        End If

        'Get other variables
        deleterecord = pd.getrequest("deleterecord")
        confirmdelete = pd.getrequest("confirmdelete")

        'Retrieve/Display Record
        If Not (Page.IsPostBack) Then

            If id <> "" Then
                'Open Database, get values
                pd.OpenDataReader("SELECT * From status WHERE id=" & id)
                If pd.ReadDataItem.Read Then
                    name.Text = pd.ReadData("name")
                    description.Value = pd.ReadData("description")
                    
                    If pd.ReadDataN("emailen") = 0 Then emailen0.Checked = True
                    If pd.ReadDataN("emailen") = 1 Then emailen1.Checked = True
                    If pd.ReadDataN("emailen") = 2 Then emailen2.Checked = True
                    
                    emailfrom.Text = pd.ReadData("emailfrom")
                    emailfromname.Text = pd.ReadData("emailfromname")
                    emailsubject.Text = pd.ReadData("emailsubject")
                    emailbody.Value = pd.ReadData("emailbody")
                    
                Else
                    pd.showErrorMessage("Record Not Found")
                End If
                pd.CloseData()
            Else
            End If

        End If

        'Update/Add Record if form is posted
        If Page.IsPostBack Then

            'Prepare Database - Set array to Add or Update data
            If id = "" Then
                'Add New Record
                pd.OpenDataWriter("status")
            Else
                'Update Existing Record
                pd.OpenDataWriter("status WHERE id=" & id)
            End If

            'Text Input

            pd.AddFormData("name", name.Text, "Name", "T", 1, 50)
            pd.AddFormData("description", description.Value, "Description", "T", 0, 255)

            If emailen1.Checked = True Then
                pd.AddData("emailen", 1, "N")
            ElseIf emailen2.Checked = True Then
                pd.AddData("emailen", 2, "N")
            Else
                pd.AddData("emailen", 0, "N")
            End If
            
            pd.AddFormData("emailfrom", emailfrom.Text, "From Email", "E", 0, 50)
            pd.AddFormData("emailfromname", emailfromname.Text, "Name", "T", 0, 50)
            pd.AddFormData("emailsubject", emailsubject.Text, "Subject", "T", 0, 50)
            pd.AddFormData("emailbody", emailbody.Value, "Message Body 1", "T", 0, 5000)
            
            
            'If no errors, Add/Update record in database
            If pd.formerror = "" And deleterecord = "" Then
                pd.SaveData()
                pd.formerror = "Record Saved!"
                closewin = "Y"
            End If
             
            'Demo Mode
            If pd.demomode = "Yes" Then closewin = "Y"

        End If

        'Delete Record (and related records in other tables)
        If id <> "" And deleterecord = "yes" And confirmdelete = "yes" And pd.adminlevel = 1 Then
            'Perform Delete
            pd.sqlexecute("DELETE FROM status WHERE id=" & id)
            pd.formerror = "Record Deleted!"
            id = ""
            closewin = "Y"
        End If

    End Sub



</script>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <% If closewin = "Y" Then%>
    <script type="text/javascript">
<!--
        window.close();
        window.opener.resubmit();
//-->
    </script>
    <% End If%>
    <div class="popupbody_div">
        <form method="POST" runat="server" id="aspnetForm">
        <input type="hidden" name="id" value="<%=id%>" />
        <div class="pageheading2">
            Status Code</div>
        <div class="message">
            <%=pd.getFormError()%></div>
        <% If deleterecord = "yes" Then%>
        <div class="message">
            Are you sure you want to delete?<br />
            <a href="?id=<%=id%>&deleterecord=yes&confirmdelete=yes">YES</a>&nbsp;&nbsp; |&nbsp;&nbsp;
            <a href="?id=<%=id%>">NO</a></div>
        <% End If%>
        <div class="formheading">
            Name</div>
        <div>
            <asp:TextBox class="formfield1" ID="name" runat="server" /></div>
        <div class="formheading">
            Description</div>
        <div>
            <textarea class="popupformtextarea" rows="6" id="description" cols="30"  
                runat="server" /></div>
        <div class="pageheading2">
            Order Status Change Email</div>
        <div class="radio_div">
            <asp:RadioButton GroupName="emailen" ID="emailen0" runat="server" />Disabled
            <asp:RadioButton GroupName="emailen" ID="emailen1" runat="server" />Prompt to Send
            <asp:RadioButton GroupName="emailen" ID="emailen2" runat="server" />Send Automatically</div>
        <div class="helptext">
            When enabled, an email will be sent when the status is changed to this status.</div>
        <div class="formheading">
            From Name: (ex. Store Name)</div>
        <div>
            <asp:TextBox class="formfield1" ID="emailfromname" runat="server" /></div>
        <div class="formheading">
            From Email: (ex. you@yourdomain.com)</div>
        <div>
            <asp:TextBox class="formfield1" ID="emailfrom" runat="server" /></div>
        <div class="formheading">
            Subject</div>
        <div class="helptext">
            You can use this variable: ##ORDERNO##</div>
        <div>
            <asp:TextBox class="formfield1" ID="emailsubject" runat="server" /></div>
        <div class="formheading">
            Message Body</div>
        <div class="helptext">
            You can use these variables: ##ORDERLINK##, ##ORDERNO##, ##CUSTNAME##, ##DATE##,
            ##TRACKINGNO##, ##PUBLICNOTES##</div>
        <div>
            <textarea class="formtextarea" rows="8" id="emailbody" cols="55"  
                runat="server" /></div>
        <div class="popupformbutton_div">
            <input type="submit" class="formbutton" value="Save Changes" /></div>
        <% If pd.adminlevel = 1 And id <> "" Then%>
        <div class="formheading">
            <input type="checkbox" name="deleterecord" value="yes" />Delete?</div>
        <% End If%>
        </form>
    </div>
</asp:Content>
